package com.atlassian.bitbucket.mesh.git.pull;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public enum PullRequestRefType {

    FROM("from"),
    MERGE("merge"),
    TO("to");

    private final String refName;

    PullRequestRefType(String refName) {
        this.refName = requireNonNull(refName, "refName");
    }

    @Nonnull
    public String getRefName() {
        return refName;
    }
}
